package com.nto.data.utils

import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardDTO
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.PUT
import retrofit2.http.Path
import retrofit2.http.Query

interface RetrofitApi {
    @GET("employee/auth")
    fun auth(@Header("Authorization") token: String): Call<ResponseBody>

    @GET("employee/{login}/info")
    fun getInfo(@Header("Authorization") token: String, @Path("login") login: String): Call<UserDTO>

    @GET("visits/{login}/visits")
    fun getVisits(@Header("Authorization") token: String, @Path("login") login:String): Call<List<VisitCardDTO>>

    @GET("visit/open")
    fun open(@Header("Authorization") token: String): Call<ResponseBody>

    @PUT("employee/invertLock")
    fun invertLock(
        @Header("Authorization") token: String, @Query("login") login: String, @Body status: Boolean
    ): Call<ResponseBody>
}