package com.nto.domain.repository

import com.nto.data.models.LoginResult
import com.nto.data.models.RequestResult
import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardWrapper

interface DomainRepository {
    suspend fun auth(email: String, password: String): LoginResult
    suspend fun saveToken(token: String, login: String)
    suspend fun getToken(): String?
    suspend fun getLogin(): String
    suspend fun getInfo(login: String): UserDTO
    suspend fun getVisits(id: String): VisitCardWrapper
    suspend fun open(): RequestResult
    suspend fun logout()
    suspend fun invertLock(id: String, status: Boolean): RequestResult
}