package com.nto.domain.usecase

import com.nto.data.models.LoginResult
import com.nto.domain.repository.DomainRepositoryImpl
import javax.inject.Inject

class LoginUseCase @Inject constructor(private val domainRepositoryImpl: DomainRepositoryImpl) {
    fun checkCredentials(email: String, password: String): Boolean {
        return password.isNotBlank() && email.isNotBlank()
    }

    suspend fun auth(email: String, password: String): LoginResult {
        return domainRepositoryImpl.auth(email, password)
    }
}