package com.nto.domain.usecase

import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardWrapper
import com.nto.domain.repository.DomainRepositoryImpl
import javax.inject.Inject

class ProfileUseCase @Inject constructor(private val domainRepositoryImpl: DomainRepositoryImpl) {
    suspend fun getInfo(): UserDTO{
        return domainRepositoryImpl.getInfo("")
    }
    suspend fun logout(){
        return domainRepositoryImpl.logout()
    }
    suspend fun getVisits(): VisitCardWrapper {
        return domainRepositoryImpl.getVisits("")
    }
}