package com.nto.presentation.composable

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import com.nto.data.utils.Destinations
import com.nto.presentation.screens.admin.AdminScreen
import com.nto.presentation.screens.loginScreen.LoginScreen
import com.nto.presentation.screens.profileScreen.ProfileScreen
import com.nto.presentation.screens.scanResult.ScanResultScreen

@Composable
fun Navigation(navController: NavHostController, skipAuth: Boolean, modifier: Modifier = Modifier) {
    NavHost(
        navController = navController,
        modifier = modifier,
        startDestination = if (skipAuth) Destinations.Profile else Destinations.Login
    ) {
        composable<Destinations.Login> {
            LoginScreen(navController)
        }
        composable<Destinations.Profile> {
            ProfileScreen(navController)
        }
        composable<Destinations.Scan> {
            ScanResultScreen(navController)
        }
        composable<Destinations.Admin> {
            AdminScreen(navController)
        }
        composable<Destinations.Options> {
            //TODO
        }
    }
}