package com.nto.presentation.composable

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.style.TextDecoration
import com.nto.data.models.UserDTO
import com.nto.presentation.theme.NTOTheme

@Composable
fun UserCard(user: UserDTO, modifier: Modifier = Modifier) {
    Column(
        Modifier
            .fillMaxWidth()
            .background(NTOTheme.colors.inputFieldBackground)
    ) {
        Row(Modifier.fillMaxWidth(), horizontalArrangement = Arrangement.SpaceBetween) {
            Text(text = "@${user.firstName}")
            if (false) {
                Text(
                    text = "разблокировать",
                    textDecoration = TextDecoration.Underline,
                    color = NTOTheme.colors.button,
                )
            } else {

            }
        }
        Text(text = "${user.lastName} ${user.firstName} ${user.patronymic}")
        Text(text = user.localizedName)
    }
}